<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<div class="modify-section">
  <button *ngIf="displayCancel"
          mat-raised-button class="secondary cancel-button"
          [disabled]="disabled"
          (click)="cancel()">
    <i class="fas fa-ban" data-fa-transform="up-1 left-6"></i>
    {{ 'global.actions.cancel-participation' | translate }}
  </button>
  <button mat-raised-button class="secondary modify-button"
          [disabled]="disabled"
          (click)="modify()">
    <i class="fas fa-edit" data-fa-transform="up-1 left-6"></i>
    {{ 'global.actions.modify-ballot' | translate }}
  </button>
</div>

